Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7669)
@@ -16,5 +16,5 @@
               <td class="fieldname">
                 <span tal:condition="widget/required">*</span>
-                <span i18n:translate="" tal:content="widget/label">label</span>:
+                <span tal:content="widget/label">label</span>:
               </td>
               <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7669)
@@ -6,6 +6,5 @@
     <tr>
       <td class="fieldname">
-        <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
+        <span tal:content="widget/label">label</span>:
       </td>
       <td tal:on-error="default">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7669)
@@ -19,5 +19,5 @@
                   <span tal:condition="widget/required">*
                   </span>
-                  <span i18n:translate="" tal:content="widget/label">label
+                  <span tal:content="widget/label">label
                   </span>:
               </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7669)
@@ -25,5 +25,5 @@
                   <span tal:condition="widget/required">*
                   </span>
-                  <span i18n:translate="" tal:content="widget/label">label
+                  <span tal:content="widget/label">label
                   </span>:
               </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7669)
@@ -13,5 +13,5 @@
     <li tal:attributes="class view/tab3">
     <a href="#tab-3">
-      <span>Local Roles
+      <span i18n:translate="local_roles" >Local Roles
       </span></a>
     </li>
@@ -26,5 +26,5 @@
                 <span tal:condition="widget/required">*
                 </span>
-                <span i18n:translate="" tal:content="widget/label">label
+                <span tal:content="widget/label">label
                 </span>:
               </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt	(revision 7669)
@@ -1,3 +1,3 @@
-<h3 i18n:translate="">My Portal Roles:</h3>
+<h3 i18n:translate="my_portal_roles">My Portal Roles:</h3>
 <table class="form-table">
 <tr tal:repeat="role view/getSiteRoles">
@@ -8,5 +8,5 @@
 </table>
 
-<h3 i18n:translate="">My Local Roles:</h3>
+<h3 i18n:translate="my_local_roles">My Local Roles:</h3>
 <table class="form-table">
   <tr tal:repeat="role view/getLocalRoles">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7669)
@@ -1,4 +1,7 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      i18n:domain="waeup.sirp"
+      xml:lang="en">
   <head>
     <title>WAeUP - your way up
@@ -26,5 +29,6 @@
           <ul class="nav secondary-nav">
             <li tal:condition="not: layout/isAuthenticated">
-            <a href="#" tal:attributes="href python: view.url(layout.site, 'login')">
+            <a href="#" i18n:translate="login"
+                tal:attributes="href python: view.url(layout.site, 'login')">
                 Login
             </a>
@@ -88,9 +92,9 @@
           tal:condition="status">
           Form Status:
-          <span i18n:translate="" tal:content="view/status">
+          <span tal:content="view/status">
             Form status summary
           </span>
         </div>
-        <h1 i18n:translate="" tal:condition="view/label|nothing"
+        <h1 tal:condition="view/label|nothing"
             tal:content="view/label">Label</h1>
         <div tal:content="structure view/content"> THE CONTENT
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7669)
@@ -1,4 +1,7 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      i18n:domain="waeup.sirp"
+      xml:lang="en">
   <head>
     <title>WAeUP - your way up
@@ -73,9 +76,9 @@
           tal:condition="status">
           Form Status:
-          <span i18n:translate="" tal:content="view/status">
+          <span tal:content="view/status">
             Form status summary
           </span>
         </div>
-        <h1 i18n:translate="" tal:condition="view/label|nothing"
+        <h1 tal:condition="view/label|nothing"
             tal:content="view/label">Label</h1>
         <div tal:content="structure view/content"> THE CONTENT
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
